Texture overlay on selection
-
@thomthom said:
It's a feature of SketchUp - to make you focus on the stuff in the open context.
Is there a way to turn that feature off?
-
Nope.
Are you making a 3d model where people can click on objects - like virtual art gallery where the user can click on the painting to bring up a webpage or video about the painting for example? Or are you just trying to add a menu for a plugin you've written and making a 3d model of it is the simplest way you came up with?
Chris
-
@arunyoganandan said:
@thomthom said:
It's a feature of SketchUp - to make you focus on the stuff in the open context.
Is there a way to turn that feature off?
No - you'd have to make your objects appear in the current context.
-
@chris fullmer said:
Nope.
Are you making a 3d model where people can click on objects - like virtual art gallery where the user can click on the painting to bring up a webpage or video about the painting for example? Or are you just trying to add a menu for a plugin you've written and making a 3d model of it is the simplest way you came up with?
Chris
It is more closer to the first one. Because this is an immersive environment, users do not have access to the toolbars or any windows related stuff. Therefore, I'm having to represent these toolbars in the form of 3D radial menus that the users can interact with. These 3D menus are made up of icons which have textures that represent the corresponding tool. When a face is selected, all these textures go away leaving the user clueless as to which icon is which tool (cos they all appear blank)
-
A user "selects" an icon by double clicking on it? And that then opens the component into edit mode, is that the problem?
If so, when you make the 3d toolbar component (or group), just make it be locked. Then when the user double clicks on it, they will not enter into edit mode. That is one possible fix.
You might also try making your own "tool". This way you have control of the cursor and what it can do. so when a user clicks on something, it won't go into edit mode.
Does any of that make sense? Do you have a screenshot of what you immersive experience and toolbar look like? That might also help to make more sense of the possible solutions.
Chris
-
I never really understood the desire to have or use immersive 3D editing.
Anyway... although we cannot via Ruby enter into an edit context (it is reserved for user decision only,) we CAN cause SketchUp to exit edit contexts.
Sketchup.active_model.close_active()
But you must test if all nested edit contexts have been exited thus:
while Sketchup.active_model.active_entities != Sketchup.active_model.entities Sketchup.active_model.close_active() end
-
@chris fullmer said:
A user "selects" an icon by double clicking on it? And that then opens the component into edit mode, is that the problem?
If so, when you make the 3d toolbar component (or group), just make it be locked. Then when the user double clicks on it, they will not enter into edit mode. That is one possible fix.
You might also try making your own "tool". This way you have control of the cursor and what it can do. so when a user clicks on something, it won't go into edit mode.
Does any of that make sense? Do you have a screenshot of what you immersive experience and toolbar look like? That might also help to make more sense of the possible solutions.
Chris
The user actually selects an icon using wiimote like controllers. The mouse is not involved in selecting the floating icon, and the selection works as intended without the aforementioned texture issues. The mouse emulation is involved in selecting other 3D objects
and this selection is what causes the textures on the icons to go away. I have attached a screenshot to show the problem.to the right is the floating tool icons. When the box is double clicked, the texture on the painting tool icon goes away.
-
@dan rathbun said:
I never really understood the desire to have or use immersive 3D editing.
Anyway... although we cannot via Ruby enter into an edit context (it is reserved for user decision only,) we CAN cause SketchUp to exit edit contexts.
Sketchup.active_model.close_active()
But you must test if all nested edit contexts have been exited thus:
while Sketchup.active_model.active_entities != Sketchup.active_model.entities > Sketchup.active_model.close_active() > end >
We are trying to see if we can get architects to model immersively. I might be able to share a video with you in a few weeks.
I might be asking too much, but I do not want to exit the exit edit context. I want to be able to stay in the edit context, but turn the visibility of textures on. I understand if Sketchup does not provide this kind of flexibility though.
-
Are you just making a normal menu? Is that all it comes down to?
-
What platform is this for? PC or Mac ?
-
@chris fullmer said:
Are you just making a normal menu? Is that all it comes down to?
Pretty much. Just that it is 3D and floating in space with the user.
-
-
SketchUp is not well designed for this kind of thing. You'll need to compromise a bit by using web dialogs, or maybe even the view.draw methods.
How graphically detailed are these menus? Simple boxes? Or do they need to be fancy detailed icons with images?
-
Advertisement